# Namespace: updater

## updater

Object in charge of getting new commands from the BeEF framework and execute them. The XHR-polling channel is managed here. If WebSockets are enabled, websocket.ls is used instead.

Source:
  - updater.js, line 7

### Members

#### (static) beefhook

Hook session name.

Source:
  - updater.js, line 19

#### (static) lock

A lock.

Source:
  - updater.js, line 22

#### (static) objects

An object containing all values to be registered and sent by the updater.

Source:
  - updater.js, line 25

#### (static) xhr_poll_timeout

XHR-polling timeout.

Source:
  - updater.js, line 16

### Methods

#### (static) execute_commands()

Executes the received commands, if any.

Source:
  - updater.js, line 75

#### (static) get_commands()

Gets new commands from the framework.

Source:
  - updater.js, line 58

#### (static) regObject(key, value)

Registers an object to always send when requesting new commands to the framework.

##### Parameters:

Name | Type | Description
--- | --- | ---
`key` | String | the name of the object.
`value` | String | the value of that object.

Source:
  - updater.js, line 34

##### Example

    beef.updater.regObject('java_enabled', 'true');